Skip to main content
`Ctrl`+`K`

# MatDenseCUDAGetArray

Provides access to the CUDA buffer inside a `MATDENSECUDA` matrix. The array must be restored with `MatDenseCUDARestoreArray()` when no longer needed.

## Synopsis

    PetscErrorCode MatDenseCUDAGetArray(Mat A, PetscScalar **a)

Not Collective

## Input Parameter

- A - the matrix

## Output Parameter

- a - the GPU array in column major order

## Note

Data can be copied to the GPU due to operations done on the CPU. If you need write only access, use `MatDenseCUDAGetArrayWrite()`. For read-only access, use `MatDenseCUDAGetArrayRead()`.

## See Also

`MATDENSECUDA`, `MatDenseCUDAGetArrayRead()`, `MatDenseCUDARestoreArray()`, `MatDenseCUDARestoreArrayWrite()`, `MatDenseCUDAGetArrayWrite()`, `MatDenseCUDARestoreArrayRead()`

## Level

developer

## Location

src/mat/impls/dense/mpi/cupm/cuda/matmpidensecuda.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages